import java.io.*;
// jtux is the library that gives the POSIX interface.
import jtux.*;

public class Philosophers {

    static public void main(String[] args) {
	if (args.length > 0) {
	    try {
		int no_philosophers = Integer.parseInt(args[0]);
		// Here you need to create a bunch of semaphores
		// and fork one child for each philosopher.

		// The rice bowl is already created for you.
		// Give the initial amount of rice as an argument.
		int riceBowl = Rice.createRiceBowl(20);

		// See Semaphore.java and Philosopher.java for
		// directions on how to use these.



		// When the philosophers are done, don't forget
		// to wait for them, just as in lab1.

		// You also need to clean up the semaphores.
		// Otherwise they will remain after the program
		// exits.


		// We destroy the rice bowl for you:
		Rice.destroyRiceBowl(riceBowl);
	    } catch (Exception e) {
		System.out.print("Exception: ");
		System.out.println(">" + e.toString() + "<");
	    }
	} else {
	    System.out.println("Usage: philosophers.sh n, where n is the number of philosophers.");
	}
    }
}
