import java.io.*;
// jtux is the library that gives the POSIX interface.

// This is the rice bowl. It is implemented as a semaphore.
abstract class Rice {

    static int createRiceBowl(int value) {
	return Semaphore.create(value);
    }

    static int eat(int riceBowl) {
	return Semaphore.noblockwait(riceBowl);
    }

    static void destroyRiceBowl(int riceBowl) {
	Semaphore.destroy(riceBowl);
    }
}